import { Component, OnInit } from '@angular/core';
import { ModalController, NavParams } from '@ionic/angular';

@Component({
  selector: 'app-view-media',
  templateUrl: './view-media.page.html',
  styleUrls: ['./view-media.page.scss'],
})
export class ViewMediaPage implements OnInit {

  image: any;
  name: string
  _updatedAt: string

  sliderOpts = {
    zoom: true,
    maxRation: 2
  };

  constructor(
    private modalController: ModalController,
    private navParams:NavParams,
  ) {
    this.image = this.navParams.get('image')
    this.name = this.navParams.get('username')
    this._updatedAt = this.navParams.get('_updatedAt')
  }

  ngOnInit() {
  }

  close(){
    this.modalController.dismiss()
  }
}
